// Vendor
@import "~normalize.css";
@import "~animate.css";
@import "~codemirror/lib/codemirror.css";

// Modules
@import "modules/colors";
@import "modules/media-queries";

// Static Somponents
@import "components/button";
@import "components/forms";
@import "components/icons";
@import "components/modal";
@import "components/table";
@import "components/tooltip";
@import "components/typography";

body {
    color: $color-text-normal;
    -webkit-font-smoothing: antialiased;
    background: {
        image: url('/static/images/background-pattern.svg');
        repeat: repeat-x;
        position: center bottom;
        attachment: fixed;
        size: 25rem;
    }

    > .wrapper {
        max-width: 64rem;
        margin: 0 auto;

        @include mobile {
            padding: 0 1rem;
        }

        @include tablet {
            padding: 0 2rem;
        }

        @include desktop {
            padding: 0 3rem;
        }
    }
}

h1 {
    color: $color-main;
    position: relative;

    img {
        @extend .animated;
        @extend .zoomIn;
        display: none;
        position: absolute;
        right: 100%;
        top: calc(50% - 2rem);
        height: 4rem;
        width: auto;
        border-radius: 50%;
        margin-right: 2rem;
        animation: {
            duration: 250ms;
            delay: 500ms;
        }

        @include big-desktop {
            display: block;
        }
    }
}

.stepsNav {
    text-align: right;
    margin-bottom: 2rem;
    
    .button {
        @include mobile {
            display: block;
        }
    }
}

abbr[title] {
    cursor: help;
    text-decoration: none;
    border-bottom: {
        color: $color-main;
        style: dashed;
        width: 0.0625rem;
    }
}

section.animated {
    animation-duration: 500ms;
}
